#
# spec file for package scim-tomoe
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-tomoe
Version:        0.6.0
Release:        43.4
Summary:        Tomoe Input Method Engine for SCIM
License:        GPL-2.0+
Group:          System/I18n/Japanese
Url:            http://sourceforge.net/projects/tomoe/
Source:         http://jaist.dl.sourceforge.net/project/tomoe/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz 
Patch3:         missing-includes.patch
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  gucharmap-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  scim-devel
BuildRequires:  tomoe-devel
BuildRequires:  tomoe-gtk-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tomoe Input Method Engine for SCIM

%prep
%autosetup -p1

%build
autoreconf -fiv
CXXFLAGS="%{optflags}"
%configure \
    --disable-static \
    --enable-debug
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -name "*.la" -delete -print
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%{_bindir}/scim-tomoe
%{_scim_helperdir}/tomoe*
%{_scim_icondir}/scim-tomoe.png

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Fri Nov  8 2019 Marguerite Su <i@marguerite.su>
- regenerate configure to fix TW build
* Wed Sep 16 2015 i@marguerite.su
- use upstream url
- use macros from macros.scim
- remove SLE_10 hacks
  * drop libtool-autoconf.patch
- remove unused dependency: update-desktop-files
* Tue Jun 12 2012 tiwai@suse.de
- remove locale provides for avoiding automatic installation
* Mon Feb 22 2010 coolo@novell.com
- remove autoreconf for newer distributions
* Wed Dec  2 2009 coolo@novell.com
- updated patches, fix build
* Mon Aug 11 2008 mfabian@suse.de
- update to 0.6.0:
  • Adaptation to tomoe-gtk-0.6.0.
- remove fix-to-build-with-scim-1.4.5.patch (included upstream).
* Thu Nov  8 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Mon Aug  6 2007 mfabian@suse.de
- update to 0.5.0:
  • Adaptation to libtomoegtk-0.5.0.
* Thu Dec 14 2006 mfabian@suse.de
- update to 0.4.0.
  • Adaptation to libtomoegtk-0.3.0.
- remove scim-tomoe-no-focus.diff (included upstream).
* Thu Oct 12 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
* Fri Feb 24 2006 zsu@suse.de
- add Provides: locale(scim:ja)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 zsu@suse.de
- Prevent main window from grabbing input focus to increase usability.
* Fri Jan 13 2006 mfabian@suse.de
- new package: scim-tomoe, version 0.2.0.
